

# tk2048

A Python3-Tkinter port of Gabriele Cirulli's 2048 Game.


## Introduction

**tk2048** is a simple Python3-Tkinter port of **Gabriele Cirulli's**
famous **2048** Game.


## Copyright

tk2048 - Python3-Tkinter port of Gabriele Cirulli's 2048 Game

Copyright (c) 2014 Raphaël Seban <motus@laposte.net>


## License

This software is licensed under **GNU GPL General Public License v3**.

License terms:

> This program is free software: you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

> This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

> You should have received a copy of the GNU General Public License
along with this program.

> If not, see http://www.gnu.org/licenses/


## Development status

    Development Status :: 4 - Beta

Software has been:

* Linux:

    * TESTED OK for all distros;

* MacOS:

    * NOT YET TESTED;

* MS-Windows:

    * NOT YET TESTED;


## Quick start

### Caution

This software runs only with **Python3** and **Tkinter** installed
on your machine.

If you have Python3 correctly installed, Tkinter library should also
be installed **by default**.

Any **ImportError** will mean you don't have **Tkinter** installed
on your system.

### MS-Windows users

Simply double-click on `game.py` file and play.

### UNIX/Linux

Click on `game.py` file if it has the executable sticky bit on or
open a shell console and launch file:

    $ python3 game.py

That's all, folks!

Enjoy!
